Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Socket_IP Class Reference

Base functionality for a INET domain Socket this call should be the starting point for all other unix domain sockets. More...

Inheritance diagram for Socket_IP:

List of all members.

## Public Member Functions
bool | Active ()
| Ask if the socket is open (allocated)
| Close ()
| closes a socket if it is open (allocated)
Socket_Address | GetPeerName ()
| Wrapper on berkly getpeername...
int | GetSocket ()
| Gets the base socket type.
int | GetSocket ()
| Get The RAW file id of the socket.
int | SetBlocking ()
| Set the socket to block on subsequent calls to socket functions that address this socket.
int | SetNonBlocking ()
| this function will throw a socket into non-blocking mode
int | SetRecvBufferSize (int size)
| Ok it sets the recv buffer size for both tcp and UDP.
bool | SetReuseAddress (bool flag)
| Informs a socket to reuse IP address as needed.
bool | SetReuseAddress ()
| Informs a socket to reuse IP address as needed.
| SetSocket (int ins)
| Assigns an existing socket to this class.
| SocketIP ()
| Def Constructor.
| SocketIP (int in)
| Assigns an existing socket to this class.
## Static Public Member Functions
static TypeHandle | getClassType ()
static int | GetLastError ()
| gets the last errcode from a socket operation
static int | InitNetworkDriver ()

## Detailed Description

Base functionality for a INET domain Socket this call should be the starting point for all other unix domain sockets.

SocketIP | ------------------------------------------------------------------- | | | | SocketTCP SocketTCP_Listen SocketUDP_Incoming SocketUDP_OutBound

socket_fdset

## Member Function Documentation

bool Active | ( |  | ) |

Ask if the socket is open (allocated)

Close | ( |  | ) |

closes a socket if it is open (allocated)

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedObject.

Reimplemented in Socket_TCP, Socket_TCP_Listen, Socket_UDP_Incoming, Socket_UDP_Outgoing, Buffered_DatagramConnection, and Socket_UDP.

static int GetLastError | ( |  | ) | `[static]`

gets the last errcode from a socket operation

Socket_Address GetPeerName | ( |  | ) |

Wrapper on berkly getpeername...

int GetSocket | ( |  | ) |

Get The RAW file id of the socket.

int GetSocket | ( |  | ) |

Gets the base socket type.

static int InitNetworkDriver | ( |  | ) | `[static]`

int SetBlocking | ( |  | ) |

Set the socket to block on subsequent calls to socket functions that address this socket.

int SetNonBlocking | ( |  | ) |

this function will throw a socket into non-blocking mode

int SetRecvBufferSize | ( | int | size | ) |

Ok it sets the recv buffer size for both tcp and UDP.

bool SetReuseAddress | ( | bool | flag | ) |

Informs a socket to reuse IP address as needed.

bool SetReuseAddress | ( |  | ) |

Informs a socket to reuse IP address as needed.

SetSocket | ( | int | ins | ) |

Assigns an existing socket to this class.

SocketIP | ( | int | in | ) |

Assigns an existing socket to this class.

SocketIP | ( |  | ) |

Def Constructor.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties